std::experimental::simd_abi::compatible(3)

NAME
std::experimental::simd_abi::compatible - std::experimental::simd_abi::compatible

Synopsis
   Defined in header <experimental/simd>
   template < class T > (parallelism TS v2)
   using compatible = /*implementation-defined*/;
   compatible<T> is an implementation-defined alias for an ABI tag.

Notes
   The intent is to use the ABI tag producing the most efficient data-parallel
   execution for the element type T that ensures ABI compatibility between translation
   units on the target architecture.

See also
   scalar tag type for storing a single element
   (parallelism TS v2) (typedef)
   fixed_size tag type for storing specified number of elements
   (parallelism TS v2) (alias template)
   native tag type that is most efficient
   (parallelism TS v2) (alias template)
   deduce obtains an ABI type for given element type and number of
   deduce_t elements
   (parallelism TS v2) (class template)